# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    softversion = control['version'].split('-',1)[0]

    force = WAPT and WAPT.options.force
    keywapt = 'scilab-%s (64-bit)_is1' % softversion

    currentpath = os.path.dirname(os.path.realpath(__file__))

    print('installing Scilab')

    for soft in installed_softwares('scilab'):
       if soft['key'] !=  keywapt :
           run(uninstall_cmd(soft['key']))

    fichier = open("module.sce", "w")
    fichier.write('atomsSetConfig("offLine","True"); \n')

    install_exe_if_needed("scilab-%s_x64.exe" % softversion,silentflags='/SILENT',key='scilab-%s (64-bit)_is1' % softversion,min_version=" ",killbefore="WScilex.exe",timeout=600)
    fichier.write('atomsInstall("%s\module_lycee_1.4.1-1.bin.x64.windows.zip"); \n' % currentpath)

    fichier.write('quit;')
    fichier.close()
    run(r'"%s\scilab-%s\bin\scilex.exe" -f "%s\module.sce"' % (programfiles64,softversion,currentpath))

    remove_desktop_shortcut('scilab-%s (64-bit)' % softversion)
    remove_desktop_shortcut('scilab-%s (64-bit) Desktop' % softversion)


def update_package():
    lastversion = search_text_in_url('https://www.scilab.org/fr/download',firstsearchtext="scilab-",endsearchtext="_x64.exe")
    binaryfile64 = 'scilab-%s_x64.exe' % lastversion
    urlfile64 = 'http://www.scilab.org/download/%s/%s' % (lastversion,binaryfile64)

    for exe in glob.glob('*.exe'):
        if exe != binaryfile64:
            remove_file(exe)

    if not isfile(binaryfile64):
        wget(urlfile64,binaryfile64)

    control.version = lastversion
    control.save_control_to_wapt(os.getcwd())

def search_text_in_url(url="",firstsearchtext="",endsearchtext=""):
    for line in wgets(url).splitlines() :
        if firstsearchtext and endsearchtext in line:
            return line[line.find(firstsearchtext) + len(firstsearchtext):line.find(endsearchtext)]




